export declare type ArrayIteratee<I, O> = (item: I, index: number) => O;
export declare type ObjectIteratee<T, O> = (item: T[keyof T], key: StringifiedKey<T>) => O;
export declare type StringifiedKey<T> = Cast<keyof T, string>;
declare type Cast<I, O> = Exclude<I, O> extends never ? I : O;
export declare type Nil = null | undefined;
export declare type EmptyObject = Record<string, never>;
declare type IfIndexType<T, If, Else = never> = string extends T ? If : number extends T ? If : Else;
declare type IndexKeys<T> = {
    [K in keyof T]: IfIndexType<K, K>;
}[keyof T];
declare type NonIndexKeys<T> = {
    [K in keyof T]: IfIndexType<K, never, K>;
}[keyof T];
export declare type PartialExceptIndexes<T> = {
    [K in NonIndexKeys<T>]?: T[K];
} & {
    [K in IndexKeys<T>]: T[K];
};
export {};
